PETSc version 3.15.5
Fix/Edit manual page

# TSGLLERegister

adds a TSGLLE implementation

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGLLERegister(const char sname[],PetscErrorCode (*function)(TS))

Not Collective

### Input Parameters

| name_scheme | - name of user-defined general linear scheme
| routine_create | - routine to create method context

### Notes

TSGLLERegister() may be called multiple times to add several user-defined families.

### Sample usage

       TSGLLERegister("my_scheme",MySchemeCreate);

Then, your scheme can be chosen with the procedural interface via

        TSGLLESetType(ts,"my_scheme")

or at runtime via the option

        -ts_gl_type my_scheme

### See Also

TSGLLERegisterAll()

### Level

advanced

### Location

src/ts/impls/implicit/glle/glle.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages